Deployments.ai Docs
Tenancy

Show a service account

GET /v1/service-accounts/{id} · SDK getServiceAccount · CLI deployments service-account show

GET
/v1/service-accounts/{id}

Authorization

platformBearer
headerAuthorizationBearer <token>

Platform bearer credential accepted as an opaque API key or JWT.

Path Parameters

id*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Header Parameters

x-deployments-environment*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Response Body

ServiceAccountResponse

application/json
  1. response
createdAt*string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
updatedAt*string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
version*integer
Range1 <= value
environmentId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
organizationId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
projectId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
createdByPrincipalId?string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
description?string
Lengthlength <= 2000
id*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
name*string
Match^\S[\s\S]*\S$|^\S$|^$
Length1 <= length <= 120
scopes*array<>
status*string
Value in"active""archived""disabled"
curl -X GET "https://example.com/v1/service-accounts/string" \  -H "x-deployments-environment: string"
{  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "version": 1,  "environmentId": "string",  "organizationId": "string",  "projectId": "string",  "createdByPrincipalId": "string",  "description": "string",  "id": "string",  "name": "string",  "scopes": [    "string"  ],  "status": "active"}